> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View a List of Tokens

>  

View a list of tokens that exist for a user, member, or account.


## OpenAPI

````yaml openapi/platform-api/v20111101.yaml GET /tokens
openapi: 3.0.0
info:
  contact:
    name: MX Platform API
    url: https://www.mx.com/products/platform-api
  description: >
    The MX Platform API is a powerful, fully-featured API designed to make
    aggregating and enhancing financial data easy and reliable. It can
    seamlessly connect your app or website to tens of thousands of financial
    institutions.
  title: MX Platform API
  version: '20111101'
servers:
  - url: https://int-api.mx.com
  - url: https://api.mx.com
security:
  - basicAuth: []
tags:
  - name: authorization
  - name: widgets
  - name: users
  - name: members
  - name: institutions
  - name: accounts
  - name: transactions
  - name: microdeposits
  - name: managed data
  - name: transaction rules
  - name: statements
  - name: merchants
  - name: categories
  - name: insights
  - name: investment holdings
  - name: spending plan
  - name: goals
  - name: budgets
  - name: monthly cash flow profile
  - name: notifications
  - name: taggings
  - name: tags
  - name: deprecated
  - name: processor token
  - name: verifiable credentials
  - name: rewards
  - name: ach return
paths:
  /tokens:
    get:
      tags:
        - processor token
      summary: View a List of Tokens
      description: View a list of tokens that exist for a user, member, or account.
      operationId: listTokens
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TokenRequestBody'
      responses:
        '200':
          content:
            application/vnd.mx.api.v1+json:
              schema:
                $ref: '#/components/schemas/TokenResponseBody'
          description: OK
components:
  schemas:
    TokenRequestBody:
      properties:
        scope:
          $ref: '#/components/schemas/MemberElements'
      type: object
    TokenResponseBody:
      properties:
        tokens:
          items:
            $ref: '#/components/schemas/TokenResponse'
      type: object
    MemberElements:
      properties:
        account_guid:
          example: ACT-283132a4-1401-486a-909e-1605f1623d11
          type: string
        member_guid:
          example: MBR-54feffb9-8474-47bd-8442-de003910113a
          type: string
        user_guid:
          example: USR-101ad774-288b-44ed-ad16-da87d522ea20
          type: string
    TokenResponse:
      properties:
        payment_processor_guid:
          example: PPR-084aa709-8218-4b5a-b3ab-70ffc7483daf
          type: string
        expires_at:
          example: 2023-04-19T15:38:2800:00
          type: string
        access_token:
          example: i8FnF...
          type: string
        active:
          example: true
          type: boolean
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http

````